ISCHROOT(1)

NAZWA
ischroot - wykrywa, czy jest uruchomiony wewnątrz chroot

SKŁADNIA
ischroot [--default-false] [--default-true] [--help] [--version]

OPIS

ischroot wykrywa, czy zostało uruchomione wewnątrz chroot. Kod wyjścia wynosi:

0   jest uruchomiony wewnątrz chroot

1   nie jest uruchomiony wewnątrz chroot

2   wykrycie nie jest możliwe (w systemie GNU/Linux zdarza się to, gdy skrypt nie jest uruchomiony przez administratora).

OPCJE

-f, --default-false
    Zwraca kod wyjścia 1, gdy wykrycie nie jest możliwe.

-t, --default-true
    Zwraca kod wyjścia 0, gdy wykrycie nie jest możliwe.

--help
    Wypisuje na standardowym wyjściu komunikat o sposobie użycia i pomyślnie kończy pracę.

--version
    Wypisuje na standardowym wyjściu informację o wersji i pomyślnie kończy pracę.

BŁĘDY
W systemie GNU/Linux wykrycie chroot nie jest możliwe, jeśli nie jest się administratorem. Działa to poprawnie w systemach GNU/Hurd oraz GNU/kFreeBSD.

TŁUMACZENIE
Niniejsze tłumaczenie jest częścią pakietu debianutils. Strony podręcznika zawarte w pakiecie przetłumaczyli: Przemek Borys (PTM) <pborys@dione.ids.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl>, Michał Kułach <michal.kulach@gmail.com> oraz Robert Luberda <robert@debian.org>.